> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a Repudiation

### Path parameters

<ParamField path="RepudiationId" type="string" required>
  The unique identifier of the repudiation.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200">
    <ResponseField name="AuthorId" type="string">
      The unique identifier of the user at the source of the initial transaction.
    </ResponseField>

    <ResponseField name="CreditedUserId" type="string">
      The unique identifier of the user whose wallet is credited.\
      In the specific case of the Payout object, this value is always `null` since there is no credited wallet.
    </ResponseField>

    <ResponseField name="CreditedFunds" type="object">
      Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`).

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the credited funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Status" type="string">
      **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED`

      The status of the transaction.
    </ResponseField>

    <ResponseField name="ExecutionDate" type="Unix timestamp">
      The date and time at which the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`.
    </ResponseField>

    <ResponseField name="Type" type="string">
      **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT`

      The type of the transaction.
    </ResponseField>

    <ResponseField name="Nature" type="string">
      **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT`

      The nature of the transaction, providing more information about the context in which the transaction occurred:

      * `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
      * `REPUDIATION` – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
      * `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
      * `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
    </ResponseField>

    <ResponseField name="CreditedWalletId" type="string">
      The unique identifier of the credited wallet.\
      In the specific case of the Payout object, this value is always `null` since there is no credited wallet.
    </ResponseField>

    <ResponseField name="DebitedFunds" type="object">
      **Default value:** The amount and currency values of the debited funds of the initial transaction.

      Information about the debited funds. Debited funds:

      * Takes by default the amount and currency values of the initial transaction when left empty.
      * Must be entered manually to perform a partial refund.
      * Cannot exceed the initial transaction `CreditedFunds` value when entered manually. This also applies to the sum of debited funds when making multiple partial refunds.

      <Expandable title="properties">
        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>

        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the debited funds.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Fees" type="object">
      Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the fees.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="ResultCode" type="string">
      The code indicating the result of the operation. This information is mostly used to <a href="/errors/codes">handle errors</a> or for filtering purposes.
    </ResponseField>

    <ResponseField name="ResultMessage" type="string">
      The explanation of the result code.
    </ResponseField>

    <ResponseField name="Id" type="string">
      Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

      The unique identifier of the object.
    </ResponseField>

    <ResponseField name="Tag" type="string">
      Max. length: 255 characters

      Custom data that you can add to this object.\
      For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
    </ResponseField>

    <ResponseField name="CreationDate" type="Unix timestamp">
      The date and time at which the object was created.
    </ResponseField>

    <ResponseField name="InitialTransactionId" type="string">
      The unique identifier of the initial transaction being refunded.
    </ResponseField>

    <ResponseField name="InitialTransactionType" type="string">
      **Returned values:** `PAYIN`, `TRANSFER`, `PAYOUT`

      The type of the initial transaction being refunded.
    </ResponseField>

    <ResponseField name="InitialTransactionNature" type="string">
      **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT`

      The nature of the initial transaction being refunded, providing more information about the context in which the transaction occurred:

      * REGULAR – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
      * REPUDIATION – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user requested a chargeback).
      * REFUND – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
      * SETTLEMENT – Transfer made to the repudiation wallet by the platform to settle the credit from a repudiation following a lost dispute.
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200 theme={null}
  {
      "AuthorId": "user_m_01JJ22H69SZTPCXW5TY875RTYT",
      "CreditedUserId": null,
      "CreditedFunds": {
          "Currency": "EUR",
          "Amount": 13000
      },
      "Status": "SUCCEEDED",
      "ExecutionDate": 1734427652,
      "Type": "PAYOUT",
      "Nature": "REPUDIATION",
      "CreditedWalletId": null,
      "DebitedWalletId": "CREDIT_EUR",
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 13000
      },
      "Fees": {
          "Currency": "EUR",
          "Amount": 0
      },
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "Id": "repud_m_01JJ22HPJ8Y0E4YW7D9XR96WZY",
      "Tag": null,
      "CreationDate": 1734427652,
      "InitialTransactionId": "payin_m_01JJ22HPJ8Y0E4YW7D9XR96WZY",
      "InitialTransactionType": "PAYIN",
      "InitialTransactionNature": "REGULAR"
  }
  ```
</ResponseExample>

<RequestExample>
  ```json REST theme={null}
  // GET has no body parameters
  ```

  ```php PHP theme={null}
  <?php 

  require_once 'vendor/autoload.php';

  use MangoPay\MangoPayApi;
  use MangoPay\Libraries\ResponseException as MGPResponseException;
  use MangoPay\Libraries\Exception as MGPException;

  $api = new MangoPayApi();

  $api->Config->ClientId = 'your-client-id';
  $api->Config->ClientPassword = 'your-api-key';
  $api->Config->TemporaryFolder = 'tmp/';

  try {
      $repudiationId = '199385843';

      $response = $api->Disputes->GetRepudiation($repudiationId);

      print_r($response);
  } catch(MGPResponseException $e) {
      print_r($e);
  } catch(MGPException $e) {
      print_r($e);
  }  
  ```

  ```javascript NodeJS   theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk')
  const mangopay = new mangopayInstance({
      clientId: 'your-client-id',
      clientApiKey: 'your-api-key',
  })

  let myRepudiation = {
    Id: '192775715',
  }

  const viewRedpudiation = async (repudiationId) => {
    return await mangopay.Disputes.getRepudiation(repudiationId)
      .then((response) => {
        console.info(response)
        return response
      })
      .catch((err) => {
        console.log(err)
        return false
      })
  }

  viewRedpudiation(myRepudiation.Id)  
  ```

  ```ruby Ruby   theme={null}
  require 'mangopay'

  MangoPay.configure do |client|
      client.preproduction = true
      client.client_id = 'your-client-id'
      client.client_apiKey = 'your-api-key'
      client.log_file = File.join(Dir.pwd, 'mangopay.log')
  end

  def viewRepudiation(repudiationId)
      begin
          response = MangoPay::Dispute.fetch_repudiation(repudiationId)
          puts response
          return response
      rescue MangoPay::ResponseError => error
          puts "Failed to fetch Repudiation: #{error.message}"
          puts "Error details: #{error.details}"
          return false
      end
  end

  myRepudiation = {
      Id:'192775715'
  }

  viewRepudiation(myRepudiation[:Id])  
  ```

  ```java Java  theme={null}
  import com.google.gson.Gson;
  import com.google.gson.GsonBuilder;
  import com.mangopay.MangoPayApi;
  import com.mangopay.entities.Repudiation;

  public class ViewRepudiation {
      public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
          mangopay.getConfig().setClientId("your-client-id");
          mangopay.getConfig().setClientPassword("your-api-key");

          var repudiationId = "repud_m_01J2KVEDBG9ABZZAWRXFHAJ97H";

          Repudiation viewDisputeDoc = mangopay.getRepudiationApi().getRepudiation(repudiationId);

          Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
          String prettyJson = prettyPrint.toJson(viewDisputeDoc);

          System.out.println(prettyJson);
      }
  }
  ```

  ```python Python   theme={null}
  from pprint import pprint
  import mangopay

  mangopay.client_id='your-client-id'
  mangopay.apikey='your-api-key'

  from mangopay.api import APIRequest
  handler = APIRequest(sandbox=True)

  from mangopay.resources import Repudiation

  try:
      repudiation = Repudiation.get('repud_m_01HQT6XRGWQWKCGF4GYRVTAKC1')
      pprint(repudiation._data)
  except Repudiation.DoesNotExist:
      print('Repudiation {} does not exist.'.format(repudiation))  
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using MangoPay.SDK.Core.Enumerations;
  using MangoPay.SDK.Entities.POST;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var repudiationId = "repud_m_01HQT8ZRDVYBVT7T8240AWZD3D";

          var viewRepudiation = await api.Disputes.GetRepudiationAsync(repudiationId);

          string prettyPrint = JsonConvert.SerializeObject(viewRepudiation, Formatting.Indented);
          Console.WriteLine(prettyPrint);
  	}
  }
  ```
</RequestExample>
